# Milestone 3

## Introduction

- Explain your application throughly ...

## Requirements

- The application must ...

## Sitemap

- Below is the Sitemap ...

<!-- ![Sitemap Diagram](images/sitemap.png) -->

## Wireframes

- Below are the Wireframes ...

<!-- ![Wireframes Diagram](images/wireframes.png) -->

## Database Design

- The following diagram is the Entity Relationship Diagram (ERD) showing ...

<!-- ![ERD Diagram](images/erd.png) -->

## Class Diagrams

- The following diagrams are the Class diagrams showing ...

<!-- ![Class Diagram](images/class.png) -->

## REST Endpoints

- The Endpoints used in this ...

|Method|Endpoint|Description|
|--|--|--|
|GET|presidents|Retrieve a list of all presidents ...|
|GET|presidents/:id|Retrieve president ...|
|PUT|presidents/:id|Update president ...|
|DELETE|presidents/:id|Delete president ...|

## API Example API Requests

```json
  GET /presidents
  Response:
  [
    {
      "id": 26,
      "title": "Theodore Roosevelt",
      "born": "1858-10-27"
      "ageOfPresidency", "42",
      "notes", "Youngest President, ...",
      ...
    },
    {
      "id": 35,
      "title": "John Kennedy",
      "born": "1917-05-29"
      "ageOfPresidency", "43",
      "notes", "Served United States Navy ...",
      ...
    }
  ]
```
